SDL_windows.h File Reference
`#include <windows.h>`
Include dependency graph for SDL_windows.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | WIN_StringToUTF8(S) SDL_iconv_string("UTF-8", "ASCII", (char *)(S), (SDL_strlen(S)+1))
#define | WIN_UTF8ToString(S) SDL_iconv_string("ASCII", "UTF-8", (char *)(S), SDL_strlen(S)+1)

## Functions

int | WIN_SetErrorFromHRESULT (const char *prefix, HRESULT hr)
int | WIN_SetError (const char *prefix)
HRESULT | WIN_CoInitialize (void)
void | WIN_CoUninitialize (void)
BOOL | WIN_IsWindowsVistaOrGreater ()

## Macro Definition Documentation

#define WIN_StringToUTF8 | ( |  | S | ) | SDL_iconv_string("UTF-8", "ASCII", (char *)(S), (SDL_strlen(S)+1))

Definition at line 45 of file SDL_windows.h.

#define WIN_UTF8ToString | ( |  | S | ) | SDL_iconv_string("ASCII", "UTF-8", (char *)(S), SDL_strlen(S)+1)

Definition at line 46 of file SDL_windows.h.

Referenced by IsSDLWindowEventPending(), and SDL_LogOutput().

## Function Documentation

HRESULT WIN_CoInitialize | ( | void |  | ) |

void WIN_CoUninitialize | ( | void |  | ) |

BOOL WIN_IsWindowsVistaOrGreater | ( |  | ) |

int WIN_SetError | ( | const char * | prefix | ) |

int WIN_SetErrorFromHRESULT | ( | const char * | prefix,
|  | HRESULT | hr
| ) |  |